package com.purui.prims.headless.server.service;

import com.purui.prims.headless.chat.ChatContext;

public interface ChatContextService {

    /***
     * get the model from context
     * @param chatId
     * @return
     */
    Long getContextModel(Integer chatId);

    ChatContext getOrCreateContext(Integer chatId);

    void updateContext(ChatContext chatCtx);

}
